Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# SString.h File Reference

`#include "ace/pre.h"`
`#include "ace/String_Base.h"`
`#include "ace/post.h"`

Include dependency graph for SString.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Auto_String_Free
| Simple class to automatically de-allocate strings. More...
class | ACE_NS_WString
| This class retain the backward compatibility for Naming_Conext and related classes. The only addition to ACE_WString is a very naive "wchar" to "char" conversion function. More...
class | ACE_SString
| A very Simple String ACE_SString class. This is not a general-purpose string class, and you should probably consider using ACE_CString is you don't understand why this class exists... More...
class | ACE_Tokenizer
| Tokenizer. More...
class | ACE_Tokenizer::Delimiter_Entry
| Delimiter Entry. More...
class | ACE_Tokenizer::Preserve_Entry
| Preserve Entry. More...
## Defines
#define | ACE_DEFAULT_GROWSIZE 32
## Typedefs
typedef ACE_WCHAR_T | ACE_WSTRING_TYPE
typedef ACE_String_Base< char > | ACE_CString
typedef ACE_String_Base< ACE_WSTRING_TYPE > | ACE_WString
typedef ACE_CString | ACE_TString
## Functions
ACE_Export ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &, const ACE_CString &)
ACE_Export ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &, const ACE_WString &)
ACE_INLINE ACE_Export ACE_NS_WString | operator+ (const ACE_NS_WString &, const ACE_NS_WString &)
ACE_Export ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &, const ACE_SString &)

## Detailed Description

SString.h,v 4.73 2002/12/08 09:44:34 jwillemsen Exp

Author:
  Douglas C. Schmidt (schmidt@cs.wustl.edu)

## Define Documentation

#define ACE_DEFAULT_GROWSIZE 32

## Typedef Documentation

typedef ACE_String_Base<char> ACE_CString

typedef ACE_CString ACE_TString

typedef ACE_String_Base<ACE_WSTRING_TYPE> ACE_WString

typedef ACE_WCHAR_T ACE_WSTRING_TYPE

## Function Documentation

ACE_INLINE ACE_Export ACE_NS_WString operator+ | ( | const ACE_NS_WString & | s,
|  | const ACE_NS_WString & | t
| ) |

ACE_Export ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_SString & | ss
| ) |

ACE_Export ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_WString & | ws
| ) |

ACE_Export ACE_OSTREAM_TYPE& operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const ACE_CString & | cs
| ) |